Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000235KdenliveEffectspublic2008-10-21 10:392008-11-12 22:28
Reportercinephiliac 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000235: Rotate effect in v0.7 creates black video
DescriptionThis is the same as in bug:
http://www.kdenlive.org/mantis/view.php?id=143 [^]

However I'm reporting this on 0.7 SVN#23894 and didn't want it missed because 0.6 isn't under development anymore.

Anyway, it can be reproduced by dragging any video to the timeline and dragging the rotate effect onto it. The video immediately goes black in the project monitor. Adjusting parameters doesn't seem to change anything.
Additional InformationKubuntu Hardy 8.04.1 - KDE 4.1.2
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000507)
cinephiliac (updater)
2008-10-21 11:39

Sorry, that should Kdenlive SVN revision # should be *2521* not 23894. (PS MLT is Revision 1188 and ffmpeg is 15959).
(0000533)
madsdyd (administrator)
2008-10-21 20:49

Acknowledged - the issue exists. For quick reference, here are some more effects that currently has issues, but is beeing worked on:

nosync0r (crash with negative values)
delay0r (does noting)
Vignette effect (unusable, can't add keyframes)
Speed (does noting and i can't delete it from the effect list if selected
and kdenlive says that there was a problem insterting it)
transparency (does noting)
squareblur (crashes kdenlive again)
scale0tilt (gives a black screen)
Rotate (gives a black screen)
Perspective (does noting)
Obscure (the parameters interface is not complete)
Mask0mate (playing with parameters gives noting on the video and caused a
crash)
freeze (does noting)
distortor (crashes kdenlive when playing with effects)

We may create seperate issues for each of these, in order to track them.
(0000585)
gmarco (reporter)
2008-10-22 21:27

i think it is better to fix this in mlt, so that it will work later in mlt AND kdenlive.

i'll patch the frei0r module that it can load .yml files also for frei0r modules and set this way min/max
(0000589)
administrator (administrator)
2008-10-22 23:05

I made some tests and it looks like when inserted in a playlist, the "rotate" effect (which in fact is MLT's affine filter modules/plus/filter_affine.c) only affects the lowest visible track in the playlist.
It does not take into account on which track the effect is... can probably be fixed in MLT
(0000947)
ddennedy (developer)
2008-11-09 06:31

fixed in MLT SVN r1232
(0000952)
cinephiliac (updater)
2008-11-09 09:04

Tested and confirmed fixed in:
ffmpeg: Revision: 15796 Last Changed Date: 2008-11-08 14:47:10 -0500 (Sat, 08 Nov 2008)
mlt: Revision: 1232 Last Changed Date: 2008-11-09 00:30:39 -0500 (Sun, 09 Nov 2008)
mlt++: Revision: 1232 Last Changed Date: 2008-11-06 00:32:23 -0500 (Thu, 06 Nov 2008)
kdenlive: Revision: 2637 Last Changed Date: 2008-11-08 19:32:25 -0500 (Sat, 08 Nov 2008)


Thanks Dan, another bug squished for the 7.0 release! Let's close this puppy.
(0000959)
madsdyd (administrator)
2008-11-09 11:38

Fixed by ddennedy, tested by reporter. I am closing.

- Issue History
Date Modified Username Field Change
2008-10-21 10:39 cinephiliac New Issue
2008-10-21 11:39 cinephiliac Note Added: 0000507
2008-10-21 20:49 madsdyd Note Added: 0000533
2008-10-21 20:49 madsdyd Status new => acknowledged
2008-10-22 21:27 gmarco Note Added: 0000585
2008-10-22 22:51 gmarco Note Added: 0000587
2008-10-22 22:51 gmarco Note Deleted: 0000587
2008-10-22 23:05 administrator Note Added: 0000589
2008-10-23 00:26 madsdyd Target Version => 0.7.0
2008-10-30 09:00 madsdyd Target Version 0.7.0 => 0.7.1
2008-11-09 06:31 ddennedy Note Added: 0000947
2008-11-09 09:04 cinephiliac Note Added: 0000952
2008-11-09 11:38 madsdyd Note Added: 0000959
2008-11-09 11:38 madsdyd Status acknowledged => closed
2008-11-09 11:38 madsdyd Resolution open => fixed
2008-11-09 11:38 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0
2008-11-12 22:28 madsdyd Target Version 0.7.1 => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker